package jp.mosp.workflow.action;

import jp.mosp.common.MosPAction;
import jp.mosp.common.MosPMenuConst;
import jp.mosp.common.part.StringPart;
import jp.mosp.workflow.vo.ManagerApprovalMenuVo;

public class ManagerApprovalMenuAction extends MosPAction {

	/**
	 * コンストラクタ
	 */
	public ManagerApprovalMenuAction() {
		super();
	}

	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// VOの初期化
		ManagerApprovalMenuVo vo = new ManagerApprovalMenuVo(cfg, msg, nam, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
		// メニューボタン一覧
		String[][] aryApplicationMenu = StringPart.combineArray(
				MosPMenuConst.getApprovalCmdArray(),
				getMosPCodeArray("approvalFunction")
		);
		vo.setFields(aryApplicationMenu);
	}

}
